
From: "Andi Kleen" <ak@suse.de>

Rename HTVALID to CMP_LEGACY

AMD renamed the HTVALID CPUID flag to CMP_LEGACY and reverted its meaning. 
Follow this for /proc/cpuinfo

Needed for the followon CMP patches.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/setup.c      |    2 +-
 25-akpm/include/asm-x86_64/cpufeature.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/x86_64/kernel/setup.c~x86_64-rename-htvalid-to-cmp_legacy arch/x86_64/kernel/setup.c
--- 25/arch/x86_64/kernel/setup.c~x86_64-rename-htvalid-to-cmp_legacy	2004-11-28 01:54:39.116650472 -0800
+++ 25-akpm/arch/x86_64/kernel/setup.c	2004-11-28 01:54:39.122649560 -0800
@@ -995,7 +995,7 @@ static int show_cpuinfo(struct seq_file 
 		NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
 
 		/* AMD-defined (#2) */
-		"lahf_lm", "htvalid", NULL, NULL, NULL, NULL, NULL, NULL,
+		"lahf_lm", "cmp_legacy", NULL, NULL, NULL, NULL, NULL, NULL,
 		NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
 		NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
 		NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
diff -puN include/asm-x86_64/cpufeature.h~x86_64-rename-htvalid-to-cmp_legacy include/asm-x86_64/cpufeature.h
--- 25/include/asm-x86_64/cpufeature.h~x86_64-rename-htvalid-to-cmp_legacy	2004-11-28 01:54:39.118650168 -0800
+++ 25-akpm/include/asm-x86_64/cpufeature.h	2004-11-28 01:54:39.122649560 -0800
@@ -75,7 +75,7 @@
 
 /* More extended AMD flags: CPUID level 0x80000001, ecx, word 5 */
 #define X86_FEATURE_LAHF_LM	(5*32+ 0) /* LAHF/SAHF in long mode */
-#define X86_FEATURE_HTVALID	(5*32+ 1) /* HyperThreading valid, otherwise CMP */
+#define X86_FEATURE_CMP_LEGACY	(5*32+ 1) /* If yes HyperThreading not valid */
 
 #define cpu_has(c, bit)                test_bit(bit, (c)->x86_capability)
 #define boot_cpu_has(bit)      test_bit(bit, boot_cpu_data.x86_capability)
_
